
from setuptools import setup, find_packages

setup(
    name="api_autogen",
    version="0.1.0",
    packages=find_packages(),
    install_requires=["fastapi", "pydantic"],
    author="Lech Hubicki",
    author_email="lech.hubicki@gmail.com",
    description="A simple decorator to convert Python functions into FastAPI endpoints",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/lechplace/api_autogen",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
)
